Package org.apache.sling.commons.metrics

## Interface Histogram

All Superinterfaces:
  `Counting`, `Metric`

    @ProviderType
    public interface Histogram
    extends Counting, Metric

A metric which calculates the distribution of a value.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `update​(long value)` Adds a recorded value.

### Methods inherited from interface org.apache.sling.commons.metrics.Counting

`getCount`

### Methods inherited from interface org.apache.sling.commons.metrics.Metric

`adaptTo`

### Method Detail

#### update

    void update​(long value)

Adds a recorded value.

Parameters:
  `value` - the length of the value